For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginStart trialGet a demo
  • Welcome
    • Getting Started
    • Create an API Key
    • Pagination
    • Rate Limiting
    • No-Code Integrations
  • Webhooks
  • OAuth2
  • API Reference
      • GETGet post templates
LogoLogo
LoginStart trialGet a demo
API ReferencePost Templates

Get post templates

GET
https://api.beehiiv.com/v2/publications/:publicationId/post_templates
GET
/v2/publications/:publicationId/post_templates
$curl https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/post_templates \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "post_template_00000000-0000-0000-0000-000000000000",
5 "name": "Newsletter Template"
6 },
7 {
8 "id": "post_template_11111111-1111-1111-1111-111111111111",
9 "name": "Blog Post Template"
10 }
11 ],
12 "limit": 10,
13 "page": 1,
14 "total_results": 2,
15 "total_pages": 1
16}
Retrieve a list of post templates available for the publication.
Was this page helpful?
Previous

List publications OAuth Scope: publications:read

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object

Query parameters

limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
pageintegerOptional

Pagination returns the results in pages. Each page contains the number of results specified by the limit (default: 10).
If not specified, results 1-10 from page 1 will be returned.

orderenumOptionalDefaults to asc

The direction of the request. Defaults to asc.

Allowed values:
order_bystringOptional

The field to order by. Defaults to created.

Response

OK
datalist of objects
A list of post templates available for this publication.
limitinteger
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
pageinteger>=0Defaults to 1
The page number the results are from. If no page was specified in the request, this defaults to page 1.
total_resultsinteger
The total number of results from all pages.
total_pagesinteger
The total number of pages.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error